Bug 1581719 - [RFC][Tracker] Unified and structured logging
Summary: [RFC][Tracker] Unified and structured logging
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Logging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Stephen Wadeley
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On: 1732522
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-23 13:39 UTC by Lukas Zapletal
Modified: 2022-07-08 16:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-08 16:30:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22569 0 Normal Assigned Unified and structured logging 2020-08-17 06:40:21 UTC

Description Lukas Zapletal 2018-05-23 13:39:35 UTC
This effort aims to solve three problems: enriching logging information with context to improve filtering, adding possibility to transfer logs over network (Smart Proxy to Foreman server, Capsule to Satellite etc) and enabling integration with 3rd party logging systems (ELK, systemd, rsyslog, syslog-ng) for easier maintenance.

This effort will be shipped in Satellite 6.4 and 6.5

Comment 1 Lukas Zapletal 2018-05-23 13:51:26 UTC
List of work items (preliminary):

Structured logging in Foreman Rails app with JSON/CEE output (DONE)
Ditto but for Foreman Proxy
Correlation ID HTTP header support in Foreman Proxy
Correlation ID HTTP header support in Candlepin (DONE *)
Correlation ID HTTP header support in Pulp (**)
Configurable logging pattern and syslog support in Candlepin (DONE *)
Configurable logging pattern and syslog support in Pulp (***)
Installer changes (optional)
Docs on how to set things up with ELK stack

Remarks:

* - http://www.candlepinproject.org/docs/candlepin/logging.html
** - https://pulp.plan.io/issues/3289
*** - https://pulp.plan.io/issues/3372

Comment 2 Satellite Program 2018-05-23 16:12:56 UTC
Upstream bug assigned to lzap@redhat.com

Comment 3 Stephen Wadeley 2019-05-30 15:53:51 UTC
Hello

Re "Docs on how to set things up with ELK stack"

lzap made: https://github.com/lzap/foreman-elasticsearch

Comment 4 Lukas Zapletal 2019-06-26 07:21:47 UTC
Thanks for the update, let's keep it opened since Pulp is not yet integrated. It's a bit delayed due to Pulp 3.x work.

Comment 5 Stephen Wadeley 2019-07-10 12:27:51 UTC
Hello lzap

Do you know of a ticket that tracks the work in Pulp 3 that is still required for Sat6.6? Would be nice to set that here as a blocker.

The issues linked to in Comment 1 are all closed WONTFIX

Thank you

Comment 7 Stephen Wadeley 2019-07-10 13:26:28 UTC
(In reply to Stephen Wadeley from comment #5)
> Hello lzap
> 
> Do you know of a ticket that tracks the work in Pulp 3 that is still
> required for Sat6.6? 

sorry, 6.8 is target release for Pulp 3

Comment 8 Stephen Wadeley 2021-05-26 08:44:27 UTC
Hello

In 6.10 we will have:

Bug 1732522 - [RFE] Support for correlation id and syslog in pulp 3

Comment 9 Stephen Wadeley 2021-06-03 09:20:19 UTC
Hello lzap


Bug 1732522 - [RFE] Support for correlation id and syslog in pulp 3

is now verified.

Can I close this tracker as VERIFIED?

Thank you

Comment 10 Lukas Zapletal 2021-06-07 07:18:27 UTC
Thank you and congratulations all! This was a long one.

Comment 11 Stephen Wadeley 2021-06-07 13:43:47 UTC
yes indeed, thank you all


Note You need to log in before you can comment on or make changes to this bug.